{ config, lib, pkgs, ... }:

{
  config = {
    networking = {
      networkmanager.wifi.backend = "wpa_supplicant";
      extraHosts = ''
        127.0.0.1 www.youtube.com
        127.0.0.1 www.reddit.com
        127.0.0.1 www.tiktok.com
        127.0.0.1 www.twitter.com
        127.0.0.1 www.instagram.com
        127.0.0.1 www.facebook.com
        127.0.0.1 www.snapchat.com

        127.0.0.1 youtube.com
        127.0.0.1 reddit.com
        127.0.0.1 tiktok.com
        127.0.0.1 twitter.com
        127.0.0.1 instagram.com
        127.0.0.1 facebook.com
        127.0.0.1 snapchat.com

        127.0.0.1 google-analytics.com
        127.0.0.1 stats.g.doubleclick.net
        127.0.0.1 googleadservices.com
        127.0.0.1 googletagmanager.com
        127.0.0.1 googletagservices.com
        127.0.0.1 googlesyndication.com
      '';
    };
    systemd.services."NetworkManager-wait-online".enable = false;
    services.mullvad-vpn.enable = true;
    home-manager.users.jade = { pkgs, ... }: {
      home.packages = with pkgs; [
        networkmanagerapplet 
        mullvad-vpn
        speedtest-cli 
      ];
    };
  };
}
