{ config, lib, pkgs, ... }: 
{
  config = {
    services.xserver.windowManager.i3.extraPackages = with pkgs; [ 
      xkeysnail 
      xorg.xhost
      xorg.setxkbmap
    ];

    home-manager.users.jade = { pkgs, ... }: {
      xsession.windowManager.i3.config.startup = [
        { 
          command = "xhost +"; 
        }
        {
          command = "${pkgs.xkeysnail}/bin/xkeysnail ${../../other/xkeysnail.py}";
          always = true; 
        }
        { 
          command = "sleep 4 && setxkbmap -layout us -variant altgr-intl"; 
          always = true; 
        }
      ];
    };
  };
}
