{ config, lib, pkgs, ... }:

let cfg = config.jade.flatpak;
in with lib; {
  options.jade.flatpak = {
    enable = mkEnableOption "Enable flatpak";
  };
  config = mkIf cfg.enable {
    services.flatpak.enable = true;
    xdg.portal = {
      enable = true;
      extraPortals = [ 
        pkgs.xdg-desktop-portal-gtk 
      ];
    };
  };
}
