{ config, lib, ... }:
let cfg = config.jade.zellij;
in with lib; {
  options.jade.zellij= {
    enable = mkEnableOption "Enable the Zellij multiplexer";
  };
  config = mkIf cfg.enable {
    home-manager.users.jade = { pkgs, ... }: {
      programs.zellij = {
        enable = true;
        settings = {
          theme = "gruvbox-dark";
          themes.gruvbox-dark = {
         		fg = "#D5C4A1";
         		bg = "#282828";
         		black = "#3C3836";
         		red = "#CC241D";
         		green = "#98971A";
         		yellow = "#D79921";
         		blue = "#3C8588";
         		magenta = "#B16286";
         		cyan = "#689D6A";
         		white = "#FBF1C7";
         		orange = "#D65D0E";          
          };
          pane_frames = false;
        };
      };
    };
  };
}
